%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Dispatches signals between Python objects in a wide variety of contexts
Name: python-louie
Version: 1.1
Release: 2%{?dist}
License: BSD
Group: Development/Languages
URL: http://pylouie.org/
Source: http://cheeseshop.python.org/packages/source/L/Louie/Louie-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-setuptools
BuildRequires: python-devel
BuildRequires: python-setuptools-devel
BuildArch: noarch

%description
Louie provides Python programmers with a straightforward way to dispatch
signals between objects in a wide variety of contexts. It is based on
PyDispatcher, which in turn was based on a highly-rated recipe in the
Python Cookbook.


%prep
%setup -q -n Louie-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/*
%{python_sitelib}/Louie-*.egg-info/
%{python_sitelib}/louie/


%changelog
* Tue Aug 28 2007 Matthias Saou <http://freshrpms.net/> 1.1-2
- Update python-setuptools build requirement to new python-setuptools-devel.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 1.1-1
- Initial RPM release.

